P4_CREATE_CODE(3)

NAME
p4_create_code - CODE ( "name" -- )

SYNOPSIS

#include <pfe/tools-ext.h>

FCode p4_create_code(---);

DESCRIPTION

CREATE a new name and put PFA adress into the CFA place.

NOTE: this description (PFA into CFA) is only correct for traditional indirect threaded code (ITC). The other variants use a block info in the CFA - there we will start a normal colon word which is cut off immediately by a ;CODE directive to enter the machine-level.

BE AWARE: The TOOLS-EXT will not provide an END-CODE or any other word in the ASSEMBLER wordlist which is required to start any useful assembler programming. After requiring ASSEMBLER-EXT you will see a second "CODE" in the EXTENSIONS wordlist that will also provide an optimized execution than the result of this standard-forth implemenation.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>